$.ajaxSetup({
	'beforeSend': function(xhr) {
		xhr.setRequestHeader("Accept", "text/javascript")
	}
});
$(document).ready(function() {

	if ($('#gig_title').length != 0) {
		updateGigTitleCharsCount();
		$('#gig_title').keyup(function() {
			updateGigTitleCharsCount();
		});
	}
	$('input[maxlength],textarea[maxlength]').keyup(function() {
		var max = parseInt($(this).attr('maxlength'));
		if ($(this).val().length > max) {
			$(this).val($(this).val().substr(0, $(this).attr('maxlength')));
		}
	});

	function updateGigTitleCharsCount() {
		var used = $('#gig_title').val().length;
		$('.gigtitleused').html(used);
	}

	$('.select-all-checkbox').click(function() {
		if ($(this).siblings('input').is(":checked")) {
			$('.newfox .checkbox').each(function() {
				$(this).prop('checked', false);
			});
		} else {
			$('.newfox .checkbox').each(function() {
				$(this).prop('checked', true);
			});
		}
	});



	$('a.select-all').click(function() {
		$('.checkbox').each(function() {
			$(this).prop('checked', true);
		});
		return false;
	});
	$('a.select-none').click(function() {
		unselectCheckboxes();
		return false;
	});
	$('a.select-active').click(function() {
		unselectCheckboxes();
		$('.checkbox.approved').each(function() {
			$(this).prop('checked', true);
		});
		return false;
	});
	$('a.select-suspended').click(function() {
		unselectCheckboxes();
		$('.checkbox.suspended').each(function() {
			$(this).prop('checked', true);
		});
		return false;
	});
	$('a.select-read').click(function() {
		unselectCheckboxes();
		$('.checkbox.read').each(function() {
			$(this).prop('checked', true);
		});
		return false;
	});
	$('a.select-unread').click(function() {
		unselectCheckboxes();
		$('.checkbox.unread').each(function() {
			$(this).prop('checked', true);
		});
		return false;
	});
	$(document).on('click', '.btn-delete-gigs', function(e) {
    e.preventDefault();
		if ($(this).hasClass('autocheck')) {
			$('.checkbox:checked').prop('checked', false);
			$(this).closest('.newfoxdetails').find('input.checkbox').prop('checked', true);
		}
		delete_confirm($(this).attr('href'));
	});

	function unselectCheckboxes() {
		$('.checkbox').each(function() {
			$(this).prop('checked', false);
		});
	}
	$('#conversations_quick_navigation').change(function() {
		if ($(this).val() != "Quick navigation") {
			window.location = base_url + '/inbox?' + $(this).val();
		}
	});
});

function gigs_delete(type) {
	if ($('.checkbox:checked').size() > 0) {
		var page = getGetParams()['page'] ^ 0;
		if (page > 1) {
			$('#gigs_form').attr('action', base_url + '/manage_items?page=' + page + '&delete=1&type=' + type);
		} else {
			$('#gigs_form').attr('action', base_url + '/manage_items?delete=1&type=' + type);
		}
		$('#gigs_form').submit();
	} else {
		return false;
	}
}